package lectura_ficheros;

/** Esta clase crea un tipo de JTextField que consideran al tabulador como un caracter,
en lugar como una tecla de funcion especial
*/
import java.awt.event.KeyEvent;

import javax.swing.JTextField;

public class JTextFieldTabulador extends JTextField {
	private static final long serialVersionUID = 1L;

	public JTextFieldTabulador (){
		super (null, null, 0);
	} 
	
	public JTextFieldTabulador (String str){
		super (null, str, 0);
	} 
	
	public JTextFieldTabulador (int cols){
		super (null, null, cols);
	} 
	
	public JTextFieldTabulador (String str, int cols){
		super (null, str, cols);
	} 
	
	public void processComponentKeyEvent (KeyEvent kvt){
		switch (kvt.getID()){
		case KeyEvent.KEY_PRESSED:
		case KeyEvent.KEY_RELEASED:
			if (kvt.getKeyCode() == KeyEvent.VK_TAB ){
				this.setText(this.getText() + "\t");
				return;
			}
			break;
		case KeyEvent.KEY_TYPED:
			if (kvt.getKeyChar() == '\t'){
				this.setText(this.getText() + "\t");
				return;
			}
			break;
		}
		super.processComponentKeyEvent(kvt);
		
	}
}
